apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: lumi
  annotations:
    reflector.v1.k8s.emberstack.com/reflection-allowed: "true"
    reflector.v1.k8s.emberstack.com/reflection-allowed-namespaces: nextcloud,photoprism,database
    reflector.v1.k8s.emberstack.com/reflection-auto-enabled: "true"
spec:
  refreshInterval: 240m
  secretStoreRef:
    name: vault
    kind: ClusterSecretStore
  target:
    name: es-lumi
  data:
  - secretKey: borg-repo
    remoteRef:
      key: shuttle/backup/lumi
      property: borg-repo
  - secretKey: id_ed25519
    remoteRef:
      key: shuttle/backup/lumi
      property: id_ed25519
  - secretKey: id_ed25519.pub
    remoteRef:
      key: shuttle/backup/lumi
      property: id_ed25519.pub
  - secretKey: known_hosts
    remoteRef:
      key: shuttle/backup/lumi
      property: known_hosts
  - secretKey: remote-fqdn
    remoteRef:
      key: shuttle/backup/lumi
      property: remote-fqdn

